package com.webchat.act;

import com.webchat.rmi.annotation.EnableRpcPermissionFilter;
import com.webchat.rmi.annotation.EnableRpcPermissionInterceptor;
import org.springframework.boot.SpringApplication;
import org.springframework.boot.autoconfigure.SpringBootApplication;
import org.springframework.cloud.client.discovery.EnableDiscoveryClient;
import org.springframework.cloud.openfeign.EnableFeignClients;
import org.springframework.context.annotation.ComponentScan;

@SpringBootApplication
@EnableDiscoveryClient
@ComponentScan("com.webchat")
@EnableFeignClients("com.webchat.rmi")
@EnableRpcPermissionInterceptor
@EnableRpcPermissionFilter
public class WebchatActApplication {

    public static void main(String[] args) {
        SpringApplication.run(WebchatActApplication.class, args);
    }

}
