package com.webchat.rmi.annotation;


import com.webchat.rmi.config.RpcRequestFilterAutoConfig;
import com.webchat.rmi.config.RpcRequestInterceptorAutoConfig;
import org.springframework.context.annotation.Import;

import java.lang.annotation.ElementType;
import java.lang.annotation.Retention;
import java.lang.annotation.RetentionPolicy;
import java.lang.annotation.Target;


/**
 * 注解被应用webchat项目rpc被调用方开启鉴权
 *
 */
//注解保留到运行时，通过反射可读取
@Retention(RetentionPolicy.RUNTIME)
// 允许作用目标：类、接口……
@Target(ElementType.TYPE)
@Import(RpcRequestFilterAutoConfig.class)
public @interface EnableRpcPermissionFilter {



}
